var I18N_SUPPORTED = {
  "af": {
    "active": false, 
    "english": "Afrikaans", 
    "name": "Afrikaans"
  }, 
  "ar": {
    "accucode": 26, 
    "active": true, 
    "english": "Arabic", 
    "name": "\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
  }, 
  "be": {
    "active": true, 
    "english": "Belarusian", 
    "name": "\u0411\u0435\u043b\u0430\u0440\u0443\u0441\u043a\u0430\u044f"
  }, 
  "bg": {
    "active": true, 
    "english": "Bulgarian", 
    "name": "\u0411\u044a\u043b\u0433\u0430\u0440\u0441\u043a\u0438"
  }, 
  "ca": {
    "active": false, 
    "english": "Catalan", 
    "name": "Catal\u00e0"
  }, 
  "cs": {
    "accucode": 19, 
    "active": true, 
    "english": "Czech", 
    "name": "\u010ce\u0161tina"
  }, 
  "da": {
    "accucode": 4, 
    "active": false, 
    "english": "Danish", 
    "name": "Dansk"
  }, 
  "de": {
    "accucode": 9, 
    "active": true, 
    "english": "German", 
    "name": "Deutsch"
  }, 
  "el": {
    "accucode": 27, 
    "active": true, 
    "english": "Greek", 
    "name": "\u0395\u03bb\u03bb\u03b7\u03bd\u03b9\u03ba\u03ac"
  }, 
  "en": {
    "accucode": 1, 
    "active": true, 
    "english": "English", 
    "name": "English"
  }, 
  "es": {
    "accucode": 2, 
    "active": true, 
    "english": "Spanish", 
    "name": "Espa\u00f1ol"
  }, 
  "et": {
    "active": false, 
    "english": "Estonian", 
    "name": "Eesti"
  }, 
  "eu": {
    "active": false, 
    "english": "Basque", 
    "name": "Euskara"
  }, 
  "fi": {
    "accucode": 11, 
    "active": true, 
    "english": "Finnish", 
    "name": "Suomi"
  }, 
  "fr": {
    "accucode": 3, 
    "active": true, 
    "english": "French", 
    "name": "Fran\u00e7ais"
  }, 
  "he": {
    "active": true, 
    "english": "Hebrew", 
    "name": "\u05e2\u05d1\u05e8\u05d9\u05ea"
  }, 
  "hu": {
    "accucode": 20, 
    "active": true, 
    "english": "Hungarian", 
    "name": "Magyar"
  }, 
  "it": {
    "accucode": 8, 
    "active": true, 
    "english": "Italian", 
    "name": "Italiano"
  }, 
  "ja": {
    "accucode": 29, 
    "active": true, 
    "english": "Japanese", 
    "name": "\u65e5\u672c\u8a9e"
  }, 
  "ko": {
    "accucode": 30, 
    "active": true, 
    "english": "Korean", 
    "name": "\ud55c\uad6d\uc5b4"
  }, 
  "nl": {
    "accucode": 6, 
    "active": true, 
    "english": "Dutch", 
    "name": "Nederlands"
  }, 
  "no": {
    "accucode": 7, 
    "active": false, 
    "english": "Norwegian", 
    "name": "Norsk"
  }, 
  "pl": {
    "accucode": 21, 
    "active": true, 
    "english": "Polish", 
    "name": "Polski"
  }, 
  "pt-BR": {
    "accucode": 5, 
    "active": true, 
    "english": "Portuguese", 
    "name": "Portugu\u00eas BR"
  }, 
  "pt-PT": {
    "accucode": 5, 
    "active": true, 
    "english": "Portuguese", 
    "name": "Portugu\u00eas EU"
  }, 
  "ro": {
    "accucode": 18, 
    "active": true, 
    "english": "Romanian", 
    "name": "Rom\u00e2n\u0103"
  }, 
  "ru": {
    "accucode": 25, 
    "active": true, 
    "english": "Russian", 
    "name": "\u0420\u0443\u0441\u0441\u043a\u0438\u0439"
  }, 
  "sk": {
    "accucode": 17, 
    "active": true, 
    "english": "Slovak", 
    "name": "Sloven\u010dina"
  }, 
  "sl": {
    "active": true, 
    "english": "Slovenian", 
    "name": "Sloven\u0161\u010dina"
  }, 
  "sr": {
    "active": false, 
    "english": "Serbian", 
    "name": "\u0421\u0440\u043f\u0441\u043a\u0438"
  }, 
  "sv": {
    "accucode": 10, 
    "active": true, 
    "english": "Swedish", 
    "name": "Svenska"
  }, 
  "th": {
    "active": false, 
    "english": "Thai", 
    "name": "\u0e44\u0e17\u0e22"
  }, 
  "tr": {
    "accucode": 31, 
    "active": true, 
    "english": "Turkish", 
    "name": "T\u00fcrk\u00e7e"
  }, 
  "tt": {
    "active": false, 
    "english": "Test Language with Long Strings", 
    "name": "Test Language with Long Strings"
  }, 
  "uk": {
    "active": true, 
    "english": "Ukrainian", 
    "name": "\u0423\u043a\u0440\u0430\u0457\u043d\u0441\u044c\u043a\u0430"
  }, 
  "zh-CN": {
    "accucode": 13, 
    "active": true, 
    "english": "Chinese (Simplified)", 
    "name": "\u4e2d\u6587\uff08\u7b80\u4f53)"
  }, 
  "zh-TW": {
    "accucode": 12, 
    "active": true, 
    "english": "Chinese (Traditional)", 
    "name": "\u4e2d\u6587\uff08\u7e41\u9ad4)"
  }
}