var STATUS_BAR = 'status-bar';
var MENU_BAR = 'toolbar-menubar';
var TOOLBAR_DEFAULTS = [MENU_BAR, STATUS_BAR];
var Positioner = Class.extend({

  init: function Positioner_init(logging, prefs) {
    this._logger = logging.getLogger('positioner');
    this._prefs = prefs;
  },

  is_valid_position: function Positioner_is_valid_position(win, toolbar, position) {
    var target = win.document.getElementById(toolbar);

    return (target != null);
  },

  update_all_positions: function Positioner_updatePositions() {
    var mediator = Components.classes["@mozilla.org/appshell/window-mediator;1"].
          getService(Components.interfaces.nsIWindowMediator);

    var windows = mediator.getEnumerator('navigator:browser');
    var p = this._prefs.preference('toolbar');
    var toolbar = p.parent;
    var position = p.position;

    while (windows.hasMoreElements()) {
      this.update_position(windows.getNext(), toolbar, position);
    }
  },

  update_position: function Position_window(win, toolbar, position) {
    var doc = win.document, p;
    if (toolbar == 'DEFAULT') {
      toolbar = STATUS_BAR;
      for (var x = 0; x < TOOLBAR_DEFAULTS.length; x++) {
        if (!doc.getElementById(TOOLBAR_DEFAULTS[x]).hidden) {
          toolbar = TOOLBAR_DEFAULTS[x];
          break;
        }
      }
      p = this._prefs.preference('toolbar');
      p.parent = toolbar;
      this._prefs.preference('toolbar', p);
    }

    if (!this.is_valid_position(win, toolbar, position)) {
      p = this._prefs.preference('toolbar');
      p.parent = toolbar = PREFERENCES_DEFAULTS['toolbar']['parent'];
      p.position = position = PREFERENCES_DEFAULTS['toolbar']['position'];
      this._prefs.preference('toolbar', p);
    }

    var ffbar = doc.getElementById('forecastfox-toolbar');
    var target = doc.getElementById(toolbar);

    ffbar.parentNode.removeChild(ffbar);

    var newbar;

    if (toolbar == STATUS_BAR) {
      if (ffbar.localName != 'statusbarpanel')
        newbar = doc.createElement('statusbarpanel');
    } else {
      if (ffbar.localName == 'statusbarpanel')
        newbar = doc.createElement('hbox');
    }

    if (newbar) {
      newbar.setAttribute('id', ffbar.getAttribute('id'));
      while (ffbar.hasChildNodes())
        newbar.appendChild(ffbar.firstChild);
    } else
      newbar = ffbar;
    newbar.setAttribute('context', 'forecastfox-popup');

    var children = target.childNodes,
          placed = false;
    for (var x = 0; x < children.length; x++) {
      if (x == position) {
        target.insertBefore(newbar, children[x]);
        placed = true;
      }
    }

    if (position == 'last' || !placed) {
      target.appendChild(newbar);
    }
  }
});
